*
 * HMG - Harbour Win32 GUI library Demo
 *
 * Copyright 2002 Roberto Lopez <mail.box.hmg@gmail.com>
 * http://www.hmgforum.com//
 *
 * MODIFICACION PARA VARIOS LOSTFOCU REALIZADA POR SARGANTANA.SOFT
 * Jos Manuel Carbonell Bernabe
 * SargantanaSoft@Gmail.com
 * Petrer City - Alicante - Spain.
 * ------------------------------------------
 * 30 DE OCTUBRE DEL 2018 - AADIMOS COLORES.
 * ------------------------------------------
 * ----------------------------------------------------------
 * PINTA EL FONDO DE LOS TEXTBOX, ANTIGUOS GET
 * PINTA (nOpc,cColor1,cColor2)
 * Forma de llamarla 
 * ON LOSTFOCUS PINTA(1,Colordepedir, Colordesalir)
 * ON GOYFOCUS PINTA(2,Colordepedir, Colordesalir)
 * nOpc -> 1 Pinta cuendo entra 2 Pinta cuando sale
 * Parametros opcionales, Colordepedir, Colordesalir
 * ------------------------------------------------------------
 * ------------------------------------------
 * 02 DE NOVIEMBRE DEL 2018 - AADIMOS UN CALENDARIO MES
 * ------------------------------------------
 * Esta funcin la he realizado al darme cuenta que la funcin MONTHCALENDAR cambia
 * de apariencia dependiendo de la versin de WINDOW que estemos utilizando y teniendo 
 * que ajustar nuestros ".PRG" porque al Billy Puertas le de la gana.
 * ------------------------------------------------------------
 * --> Calendari(Ventana,nFil,ncol,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
 * --> PARAMETROS 
 * --> Ventana 		-> Window propietaria 
 * --> nFil, nCol	-> Fila y Columna donde mostraremos el calendario
 * --> PARAMETROS OPCIONALES
 * --> dFecha 		-> Opcional DATE()
 * --> cColorNoMes	-> Opcional, color del mes pasado o mes siguiente.
 * --> cColorMes		-> Opcional, color del mes de la fecha
 * --> cColorDia		-> Opcional, color del da
 * --> cColorDom		-> Opcional, color del Domingo
 * ----------------------------------------------------------------------------
 * 02 DE NOVIEMBRE DEL 2018 - AADIMOS ZEROS A UN NUMERO TRASFORMADO EN CADENA
 * ------------------------------------------
 * --> Transforma un numero en una cadena y rellena con ceros
 * --> cStrZero( <nNum>, [<nLen>] )
 * --> Parametros  <nNum> es el nmero a transformar en cadena.
 * --> 				<nLen> longitud mxima
 * --> Return  Nmero a cadena relleno de ceros
*/
/*
   Decorated by Mustafa Lpez y el "Rateret" del Culebrn-Xinorlet-Pins (Alicante)
*/


#include "hmg.ch"
#include 'hmg_BoxLetterShow.ch'  


  REQUEST DBFCDX , DBFFPT , DBFDBT
  RDDSETDEFAULT( "DBFCDX" )

  REQUEST HB_CODEPAGE_ESWIN     
  HB_SETCODEPAGE("ESWIN")    
 
  REQUEST HB_LANG_ES   
  HB_LANGSELECT("ES")  
*----------------------------------*
  SET CENTURY ON
  SET DATE FRENCH
  SET ESCAPE ON
  SET NAVIGATION EXTENDED
  SET LANGUAGE TO SPANISH 
  SET CODEPAGE TO SPANISH
  SET DELETED ON
  SET DATE FORMAT TO 'dd/mm/yyyy'
  SET BROWSESYNC ON
  SET TOOLTIPSTYLE BALLOON

FUNCTION Main()
    
   PRIVATE  dFecha 
   dFecha := DATE()
*------------------------------------------------------*

   DEFINE WINDOW Form_1;
      AT 0, 0;
      WIDTH  645;
      HEIGHT 490;
      ICON "Calen";
      BACKCOLOR { 132,195,248 } ;
      NOMAXIMIZE NOSIZE ;
      TITLE  "Calendari Idus Martiae" ;
      MAIN
 
      DO CASE
      CASE MONTH( DATE() ) == 12 .AND. DAY( DATE() ) > 20 .AND. DAY( DATE() ) < 32
         imagen := "Resource\Merry Christmas.jpg"  // <---- NAVIDAD.JPG"
         Estacy := "Navidad" 
      CASE MONTH( DATE() ) > 0 .AND. MONTH( DATE() ) < 4
         imagen := "Resource\Invierno.jpg"
         Estacy := "Invierno"
      CASE MONTH( DATE() ) > 3 .AND. MONTH( DATE() ) < 7
         imagen := "Resource\Primavera.jpg "
         Estacy := "Primavera"
      CASE MONTH( DATE() ) > 6 .AND. MONTH( DATE() ) < 10  
         imagen := "Resource\Verano.jpg"
         Estacy := "Verano"  
      CASE MONTH( DATE() ) > 9 .AND. MONTH( DATE() ) < 13
         imagen := "Resource\Otonyo.jpg"
         Estacy := "Otonyo"
      ENDCASE

*-----------------------------------------------------------------------------------------------------------------------*

   NewBoxShadow( 087, 054, 220, 215 ,"05hi" ,"06hi","07hi", .T. , .F. , .T. , 255,255,255,   253, 209, 209   )  

                      Form_1.Label_05hi.Enabled := .F.   // <---- Necessary with MONTHCALENDAR ,Textbox ,etc (write)  
                      Form_1.Label_06hi.Enabled := .F.   // <---- Necessary with MONTHCALENDAR ,Textbox ,etc (write)  
                      Form_1.Label_07hi.Enabled := .F.   // <---- Necessary with MONTHCALENDAR ,Textbox ,etc (write)   

*-----------------------------------------------------------------------------------------------------------------------*

            Box( 082 , 047 , 222 , 214, "08hiQ",190,210,198 ) //     rOSA-->  253, 209, 209  )      
                      Form_1.Label_08hiQ.Enabled := .F.
*------------------------------------------------------------------------------------------------------------------------*

	        CALENDARI("Form_1",090,075 )    

*------------------------------------------------------------------------------------------------------------------------*     

      @ 345, 14 BUTTON ANTERIOR          ;
        CAPTION SPACE(3)-"&Previous"     ;
        PICTURE "Resource\btn_02.bmp"    ;
        WIDTH 96                         ;
        HEIGHT 34                        ;
        ACTION Anterior01()              ;
        TOOLTIP 'Previous'               ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT      
      
      @ 345, 110 BUTTON HOY              ;
        CAPTION SPACE(4)-"&Today"        ;
        PICTURE "Resource\Today.bmp"     ;
        WIDTH 96                         ;
        HEIGHT 34                        ;
        ACTION Hoy01()                   ;
        TOOLTIP 'Today'                  ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT   
      
      @ 345, 206 BUTTON POSTERIOR        ;
        CAPTION SPACE(4)-"&Next"         ;
        PICTURE "Resource\btn_03.bmp"    ;
        WIDTH 96                         ;
        HEIGHT 34                        ;
        ACTION Posterior01()             ;
        TOOLTIP 'Next'                   ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT   
          
      @ 395, 110 BUTTON EXit             ;
        CAPTION SPACE(5)-"&Exit"         ;
        PICTURE "Resource\exit.bmp"      ;    
        WIDTH  96                        ;
        HEIGHT 34                        ;
        ACTION Form_1.Release             ;
        TOOLTIP 'Exit'                   ; 
        FONT "ARIAL" SIZE 09 BOLD ITALIC ;    
        LEFT       
*------------------------------------------------------------------------------------------------------------*
      dFecha  := DATE()       
   
      ON KEY ESCAPE ACTION ThisWindow.Release

*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*

       LetterShadow( 023, 430,"03hi" ,"04hi",  Estacy ,"", 13,.T.,.F., 254,230,068 )   
       BoxBox( 055 , 306 , 317 , 162, "08hi",.T.,  253, 209, 209  )   

*------------------------------------------------------------------------------------------------------------*      
*---------------------------------- Foto Estaciones ---------------------------------------------------------*
       @ 060,312 IMAGE Image_1 ;   
       PICTURE (imagen)        ;   
       WIDTH 306 HEIGHT 152  
*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*
       DEFINE IMAGE Fondo_10q  
           ROW 245 ; COL 386 ; WIDTH 156 ; HEIGHT 163     
           PICTURE 'Resource\Calen01x.jpg'             
           STRETCH .T.
       END IMAGE
*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*

*------------------------------------------------------------------------------------------------------------*
*--------------------------------------------  Day ----------------------------------------------------------*

         @ 264,395 LABEL Label_02q VALUE SUBSTR(DTOC(DATE()),1,2) CENTERALIGN ; 
                    FONT "Arial" SIZE 65 BOLD ITALIC BACKCOLOR  { 253,099,000 }  FONTCOLOR {255,255,255}  ;  
                    WIDTH 130 HEIGHT 80         

*-------------------------------------------  Year ----------------------------------------------------------*

         @ 356,494 LABEL Label_01z VALUE ALLTRIM(SUBSTR(DTOC(DATE()),7,4) ) ;  
                    FONT "Arial" SIZE 09 BOLD ITALIC BACKCOLOR  { 253,099,000 }  FONTCOLOR {255,255,255}  ;  
                    WIDTH 40 HEIGHT 20 

*-------------------------------------------- Month ---------------------------------------------------------*
          aMesSX = CMONTH (DATE())          
     
         @ 356,404 LABEL Label_12z VALUE ALLTRIM(aMesSX) ;  
                     FONT "Arial" SIZE 09 BOLD ITALIC BACKCOLOR  { 253,099,000 }  FONTCOLOR {255,255,255}  ;  
                    WIDTH 090 HEIGHT 020

*------------------------------------------ Day Date --------------------------------------------------------*
         DiaSem = HB_OEMTOANSI(CDOW(DATE()))  
        
         @ 374,415 LABEL Label_13z VALUE DiaSem  CENTERALIGN ;   
                    FONT "Arial" SIZE 12 BOLD ITALIC BACKCOLOR { 253,099,000 }  FONTCOLOR {255,255,255}  ;  
                    WIDTH 100 HEIGHT 28    

*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*

      DEFINE IMAGE Fondo_10w  
           ROW 245 ; COL 386 ; WIDTH 156 ; HEIGHT 163   
           PICTURE 'resource\Calen00x.jpg'             
           STRETCH .T.
       END IMAGE

*---------------------------------------------  Day ---------------------------------------------------------*

           @ 264,395 LABEL Label_02qA VALUE "" CENTERALIGN ;
                    FONT "Arial" SIZE 65 BOLD ITALIC BACKCOLOR   { 255,255,255 }  FONTCOLOR {000,000,066}  ; 
                    WIDTH 130 HEIGHT 80         

*---------------------------------------------  Year --------------------------------------------------------*
 
         @ 356,494  LABEL Label_01zA VALUE "" ;         
                    FONT "Arial" SIZE 09 BOLD ITALIC BACKCOLOR   { 255,255,255 }  FONTCOLOR {000,000,066}  ;
                    WIDTH 40 HEIGHT 20 
*-------------------------------------------- Month ---------------------------------------------------------*
   
        
         @ 356,404 LABEL Label_12zA VALUE "" ; 
                     FONT "Arial" SIZE 09 BOLD ITALIC BACKCOLOR  { 255,255,255 }  FONTCOLOR {000,000,066}  ;
                    WIDTH 090 HEIGHT 020
*------------------------------------------- Day Date -------------------------------------------------------*
        
         @ 374,415 LABEL Label_13zA VALUE "" CENTERALIGN ;   
                    FONT "Arial" SIZE 12 BOLD ITALIC BACKCOLOR  { 255,255,255 }  FONTCOLOR {000,000,066}  ;
                    WIDTH 100 HEIGHT 28    

*------------------------------------------------------------------------------------------------------------*
*------------------------------------------------------------------------------------------------------------*
 
   Proxima_Fecha() 

   END  WINDOW

   SETWINDOWCURSOR ( Form_1.dhoy.Handle, "Resource\Hand_Cursor.cur")  
   SETWINDOWCURSOR ( Form_1.EXit.Handle, "Resource\link-select.cur") 
 
   Form_1.Fondo_10w.visible := .F.

   Form_1.Label_02qA.visible := .F.
   Form_1.Label_01zA.visible := .F.
   Form_1.Label_12zA.visible := .F.
   Form_1.Label_13zA.visible := .F.


   CENTER   WINDOW Form_1
   ACTIVATE WINDOW Form_1
   
   RETURN NIL

*-----------------------------------------------*   
FUNCTION Anterior01()
*-----------------------------------------------* 

   IF MONTH( dFecha  - 28 ) == MONTH( dFecha ) 
      dFecha -= 35
      Proxima_Fecha() 
   ELSE
      dFecha -= 28
      Proxima_Fecha() 
      DO EVENTS 
   ENDIF
   
   RETURN 

*-----------------------------------------------*    
FUNCTION Hoy01()
*-----------------------------------------------*  

   dFecha := DATE()
   Proxima_Fecha() 
   DO EVENTS
   RETURN 

*-----------------------------------------------*    
FUNCTION Posterior01()
*-----------------------------------------------*   
 
   IF MONTH( dFecha + 28 ) == MONTH( dFecha )
      dFecha += 35
      Proxima_Fecha() 
      DO EVENTS
   ELSE
      dFecha += 28
      Proxima_Fecha() 
      DO EVENTS
   ENDIF
   
   RETURN 
   
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

//-------------------------------------------------------------
//-------------------------------------------------------------
// --> FUNCION GENERICA PARA MOSTRAR UN CALENDARIO OPERATIVO
//-------------------------------------------------------------
//--> Calendari(Ventana,nFil,ncol,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
//--> PARAMETROS 
//--> Ventana 		-> Window propietaria 
//--> nFil, nCol	-> Fila y Columna donde mostraremos el calendario
//--> PARAMETROS OPCIONALES
//--> dFecha 		-> Opcional DATE()
//--> cColorNoMes	-> Opcional, color del mes pasado o mes siguiente.
//--> cColorMes		-> Opcional, color del mes de la fecha
//--> cColorDia		-> Opcional, color del da
//--> cColorDom		-> Opcional, color del Domingo

PROC Calendari(Ventana,nFil,ncol,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
	LOCAL nWeek,nDay,cTB
	LOCAL aDia:={"Lu","Ma","Mi","Ju","Vi","Sa","Do"}
	DEFAULT nFil        :=nCol:=1
	DEFAULT dFecha      :=DATE()
	DEFAULT cColorNomes :=GRAY
	DEFAULT cColorMes   :=BLUE
	DEFAULT ccolorDia   := { 045,094,012 }  // WHITE  GREEN  YELLOW    BLACK
	DEFAULT cColorDom   :=RED

        SET CENTURY ON
        SET DATE FRENCH
        SET DATE FORMAT TO 'dd/mm/yyyy'

	@ nFil,ncol LABEL LBTras VALUE "<<" WIDTH 30 CENTERALIGN  BOLD  FONTCOLOR BLUE  BACKCOLOR {  190,210,198  } ;  
			ACTION (Restames(@dFecha), Carga_cal(Ventana,dFEcha,cColorNoMes,cColorMes,cColorDia,cColorDom) )
			
	@ nFIL,ncol+50 LABEL Fecha1 VALUE dFecha WIDTH 70 FONTCOLOR BLUE BACKCOLOR {  190,210,198  } CENTERALIGN 
	
	@ nFil,ncol+140 LABEL LBAdel VALUE ">>" WIDTH 30 CENTERALIGN BOLD FONTCOLOR BLUE  BACKCOLOR {  190,210,198  } ;  
			ACTION (dFecha:=Sumames(dFecha),Carga_cal(Ventana,dFEcha,cColorNoMes,cColorMes,cColorDia,cColorDom) )

	nFil += 60
	FOR nWeek = 1 to 6
		FOR nDay = 1 to 7
			// --> Pongo los nombres de los dias de la semana
			IF nWeek=1
				cTb="cTbd_"+cStrZero(nWeek,1)+cStrZero(nDay,1)
				@ nFil-30,nCol+(25*(nDay-1)) LABEL &cTb CENTERALIGN VALUE aDia[nDay] WIDTH 20  FONTCOLOR BLUE  BACKCOLOR  {  190,210,198  } 
			ENDIF
			// --> Por los dias	del mes
			cTb="cTb_"+cStrZero(nWeek,1)+cStrZero(nDay,1)
			@ nFil+(20*(nWeek-1)) , nCol+(25*(nDay-1)) LABEL &cTb CENTERALIGN TRANSPARENT VALUE " " WIDTH 20 ;
					ACTION Cambia_dia(Ventana,This.Value,@dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
		NEXT
	NEXT

	@ nFil+(20*(nWeek-1)) ,ncol+50 LABEL dhoy VALUE " HOY " WIDTH 70 FONTCOLOR BLUE  BACKCOLOR  {  190,210,198  }  CENTERALIGN ;
		ACTION (dFecha:=DATE(),	Carga_cal(Ventana,dFEcha,cColorNoMes,cColorMes,cColorDia,cColorDom), Hoy01()  )
	
	CARGA_CAL(Ventana,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
RETURN

STATIC PROC CARGA_CAL(Ventana,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
	LOCAL cTB
	LOCAL dBoM, dStart
	LOCAL nWeek, nDay
*	LOCAL cWin:=ThisWindow.Name
	DEFAULT dFecha:=DATE()

	dBoM   = dFecha - Day( dFecha ) + 1
	dStart = If( DoW( dBoM ) != 1, dBoM - DoW( dBoM ) + 2, dBoM - 6 )
	
	SETPROPERTY(Ventana,"Fecha1","Value",dFecha)
	
	FOR nWeek = 1 to 6
		FOR nDay = 1 to 7
			cTb="cTb_"+cStrZero(nWeek,1)+cStrZero(nDay,1)
			SETPROPERTY(Ventana,cTb,"Value",cStrZero(Day( dStart ),2) )
			SETPROPERTY(Ventana,cTb,"BACKCOLOR",WHITE)
			SETPROPERTY(Ventana,cTb,"FONTCOLOR",IF( Month( dStart ) == Month( dFecha ),If( dStart == dFecha, cColorDia, cColorMes ), cColorNomes ) )
			IF nDay = 7 .AND. Month( dStart ) == Month( dFecha ) .AND. dStart!=dFecha  //--> DOMINGOOOOL
				SETPROPERTY(Ventana,ctb,"FONTCOLOR",cColorDom)
			ENDIF
			IF dStart!=dFecha 
				SETPROPERTY(Ventana,cTb,"TRANSPARENT",.F.)
				SETPROPERTY(Ventana,cTb,"BACKCOLOR",YELLOW)
			ENDIF
			dStart++
                    

		NEXT
	NEXT    



RETURN
//------------------------------------------------------------------------------------
STATIC PROC Cambia_DIA(Ventana,cDia,dFecha,cColorNoMes,cColorMes,cColorDia,cColorDom)
	local dBoM, dStart, nDif
	LOCAL i  := GetLastActiveControlIndex ()
	LOCAL aColor

	dBoM   = dFecha - Day( dFecha ) + 1
	dStart = If( DoW( dBoM ) != 1, dBoM - DoW( dBoM ) + 2, dBoM - 6 )
	
	// --> Compruebo si he tocado el mes anterior o el siguiente
	aColor:=GETPROPERTY(Ventana,_HMG_SYSDATA [2] [i],"FONTCOLOR")

	IF aColor[1]=cColorNoMes[1] .AND. aColor[2]=cColorNomes[2] .AND. aColor[3]=cColorNomes[3] 
		IF VAL(cDia) > 20  
			dFecha:=RestaMes(dFecha)
		  ELSE
			dFecha:=Sumames(dFecha)
		ENDIF
	ENDIF
	// --> Voy a poner el dia que corresponde
	IF VAL(cDia) > DAY(dFecha)
		nDif=VAL(cDia)-DAY(dFecha)
		dFecha=dFecha+nDif
	   ELSE
	    nDif=DAY(dFecha)-VAL(cDia)
		dFecha=dFecha-nDif
	ENDIF
	
	Carga_cal(Ventana,dFEcha,cColorNoMes,cColorMes,cColorDia,cColorDom)
	
RETURN
// ----------------------------------------------------------------------------
static function SumaMes( dFecha )

   local dTemp  := dFecha
   local nMonth := Month( dFecha )

   while Month( dTemp++ ) == nMonth
   enddo

return --dTemp + Day( dFecha ) - 1
// ----------------------------------------------------------------------------
static function RestaMes( dFecha )

   local nDay := Day( dFecha )

   dFecha -= Day( dFecha )
   dFecha -= Day( dFecha )

return dFecha + nDay
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// ----------------------------------------------------------------------------
// --> Transforma un numero en una cadena y rellena con ceros
// --> cStrZero( <nNum>, [<nLen>] )
// --> Parameteros  <nNum> es el nmero a transformar en cadena.
// --> 				<nLen> longitud mxima
// --> Return  Nmero a cadena relleno de ceros
FUNCTION cStrZero( nNum, nLen )

   local cSal, nSigno, nDe
   IF nNum < 0
      nSigno = - 1
      nNum = nNum * -1
     ELSE
      nSigno = 1
   ENDIF
   
   nDe=AT(".",STR(nNum))
   IF nDe!=0
      nDe=LEN(STR(nNum))-nDe
   ENDIF
   
   if nLen == nil
      cSal = StrTran( Str( nNum ), " ", "0" )
   else
      cSal = StrTran( Str( nNum, nLen, nDe ), " ", "0" )
   endif
   IF nSigno=-1
      cSal = "-"+SUBSTR(cSal,2)
   ENDIF


return cSal
**************************************************************************************************************************
*-----------------------------*
 FUNCTION Proxima_Fecha() 
*-----------------------------*

  ProximaDate := dFecha  // <--- DATE()   
  ProxiNomDia := HB_OEMTOANSI( CDOW(ProximaDate))  
  ProximoMes  := CMONTH ( ProximaDate )  

  ProvaxDiaZ :=  SUBSTR(DTOC( ProximaDate ),1,2)  
  ProvaxDiaX :=  SUBSTR(DTOC( ProximaDate ),4,2)  
  ProvaxDiaA :=  SUBSTR(DTOC( ProximaDate ),7,4)  

  Atox :=  ProvaxDiaZ + ProvaxDiaX + ProvaxDiaA

  DprovaxDiaZ :=  SUBSTR(DTOC( DATE() ),1,2)  
  DprovaxDiaX :=  SUBSTR(DTOC( DATE() ),4,2)  
  DprovaxDiaA :=  SUBSTR(DTOC( DATE() ),7,4)  

  Dtox :=  DprovaxDiaZ + DprovaxDiaX + DprovaxDiaA

  IF Atox == Dtox  

*-----------------------------------------------------------*

     Form_1.Fondo_10w.visible  := .F.

     Form_1.Label_02qA.visible := .F.
     Form_1.Label_01zA.visible := .F.
     Form_1.Label_12zA.visible := .F.
     Form_1.Label_13zA.visible := .F.

*-----------------------------------------------------------*

     Form_1.Fondo_10q.visible   := .F.
     Form_1.Fondo_10w.visible   := .T.
     Form_1.Fondo_10q.visible   := .T.
     Form_1.Fondo_10w.visible   := .F.


     Form_1.Label_02q.visible   := .T.
     Form_1.Label_01z.visible   := .T.
     Form_1.Label_12z.visible   := .T.
     Form_1.Label_13z.visible   := .T.
  
     Form_1.Label_01z.VALUE     := SUBSTR(DTOC(DATE()),7,4)
     Form_1.Label_02q.VALUE     := SUBSTR(DTOC(DATE()),1,2)
     aMesSX = CMONTH (DATE())      
     Form_1.Label_12z.VALUE     := aMesSX  
     DiaSem = HB_OEMTOANSI(CDOW(DATE()))  
     Form_1.Label_13z.VALUE     := DiaSem 

   ELSE

     Form_1.Fondo_10q.visible   := .T.    
     Form_1.Fondo_10w.visible   := .T.

     Form_1.Label_01zA.visible  := .T.
     Form_1.Label_02qA.visible  := .T.
     Form_1.Label_12zA.visible  := .T.
     Form_1.Label_13zA.visible  := .T.

     Form_1.Fondo_10q.visible   := .T.            
     Form_1.Fondo_10q.visible   := .F.          
     Form_1.Fondo_10w.visible   := .T.

     Form_1.Label_01zA.visible  := .T.
     Form_1.Label_02qA.visible  := .T.
     Form_1.Label_12zA.visible  := .T.
     Form_1.Label_13zA.visible  := .T.

     Form_1.Label_01zA.VALUE    := SUBSTR(DTOC( ProximaDate ),7,4) 
     Form_1.Label_02qA.VALUE    := SUBSTR(DTOC( ProximaDate ),1,2) 
     Form_1.Label_12zA.VALUE    := ProximoMes   
     Form_1.Label_13zA.VALUE    := ProxiNomDia  

  ENDIF

 Return Nil

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*






















